/// @file example.h
///
/// Example file header.


/// @brief Queue.
///
/// @param[in] name Name.
///
/// @param[in] type Type.
///
/// @return Structure of name name with pointers to first and last element of
/// the queue.
#define QUEUE_HEAD(name, type) \
struct name {                  \
    struct type *first;        \
    struct type **last;        \
}
